[arch-commits] Commit in haskell-dns/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Sun Aug 16 16:26:47 UTC 2020
Date: Sunday, August 16, 2020 @ 16:26:46
Author: felixonmars
Revision: 681635
archrelease: copy trunk to community-staging-x86_64
Added:
haskell-dns/repos/community-staging-x86_64/
haskell-dns/repos/community-staging-x86_64/PKGBUILD
(from rev 681634, haskell-dns/trunk/PKGBUILD)
----------+
PKGBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 46 insertions(+)
Copied: haskell-dns/repos/community-staging-x86_64/PKGBUILD (from rev 681634, haskell-dns/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2020-08-16 16:26:46 UTC (rev 681635)
@@ -0,0 +1,46 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=dns
+pkgname=haskell-dns
+pkgver=4.0.1
+pkgrel=46
+pkgdesc="DNS library in Haskell"
+url="https://hackage.haskell.org/package/${_hkgname}"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-async' 'haskell-auto-update' 'haskell-attoparsec'
+ 'haskell-base16-bytestring' 'haskell-base64-bytestring' 'haskell-cryptonite'
+ 'haskell-hourglass' 'haskell-iproute' 'haskell-network' 'haskell-psqueues')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-word8' 'haskell-quickcheck')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('5c3d86c95aeb61ffdf951472a18ce2878b9dad1069efdf02fd7aff4065cf88c93c13d197488af65811440c674a75601b0c3336a6de6a9bff98cca018254b6e9c')
+
+build() {
+ cd $_hkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $_hkgname-$pkgver
+ # https://github.com/kazu-yamamoto/dns/issues/102
+ runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+ cd $_hkgname-$pkgver
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list